summaryrefslogtreecommitdiffstats
path: root/system/exomizer
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2017-09-05 23:12:29 +0100
committer David Spencer <idlemoor@slackbuilds.org>2017-09-05 23:12:29 +0100
commit96707faabb94d0474cafa7593b64c1890b3c0f4f (patch)
tree05e36c4610005f671e788b7b31ee60dd830c106f /system/exomizer
parent7ee790fe7718422ef4dfddfac16db521377eb325 (diff)
downloadslackbuilds-96707faabb94d0474cafa7593b64c1890b3c0f4f.tar.gz
slackbuilds-96707faabb94d0474cafa7593b64c1890b3c0f4f.tar.xz
system/exomizer: Added (compression for low-resource systems).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/exomizer')
-rw-r--r--system/exomizer/README7
-rw-r--r--system/exomizer/exomizer.SlackBuild72
-rw-r--r--system/exomizer/exomizer.info10
-rw-r--r--system/exomizer/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/system/exomizer/README b/system/exomizer/README
new file mode 100644
index 0000000000..ff5d56c5c2
--- /dev/null
+++ b/system/exomizer/README
@@ -0,0 +1,7 @@
+exomizer (compression for low-resource systems)
+
+Exomizer is a program that compresses files in a way that tries to be
+as efficient as possible but still allows them to be decompressed in
+environments where CPU speed and RAM are limited. For some popular 8-bit
+computers using 6502 compatible CPUs it can also generate executable
+files that decompress themselves in memory when run.
diff --git a/system/exomizer/exomizer.SlackBuild b/system/exomizer/exomizer.SlackBuild
new file mode 100644
index 0000000000..c914cf5580
--- /dev/null
+++ b/system/exomizer/exomizer.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for exomizer
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=exomizer
+VERSION=${VERSION:-2.0.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/${PRGNAM}${VERSION//./}.zip -x dos/\* win32/\*
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make -C src CFLAGS="$SLKCFLAGS"
+mkdir -p $PKG/usr/bin
+install -s -m0755 src/$PRGNAM src/exobasic src/exoraw $PKG/usr/bin
+
+# exodecrs and rawdecrs contain decompressors written in 6502, 6809,
+# and z80 asm. Best place for them is the doc dir.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/examples
+cp -a *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a exodecrs rawdecrs $PKG/usr/doc/$PRGNAM-$VERSION/examples
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/exomizer/exomizer.info b/system/exomizer/exomizer.info
new file mode 100644
index 0000000000..1db6dc9109
--- /dev/null
+++ b/system/exomizer/exomizer.info
@@ -0,0 +1,10 @@
+PRGNAM="exomizer"
+VERSION="2.0.9"
+HOMEPAGE="https://bitbucket.org/magli143/exomizer/wiki/Home"
+DOWNLOAD="https://bitbucket.org/magli143/exomizer/wiki/downloads/exomizer209.zip"
+MD5SUM="9ad0e5c1883fafc1505ccc7f88d024f7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/exomizer/slack-desc b/system/exomizer/slack-desc
new file mode 100644
index 0000000000..722e0ed73a
--- /dev/null
+++ b/system/exomizer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+exomizer: exomizer (compression for low-resource systems)
+exomizer:
+exomizer: Exomizer is a program that compresses files in a way that tries to be
+exomizer: as efficient as possible but still allows them to be decompressed in
+exomizer: environments where CPU speed and RAM are limited. For some popular
+exomizer: 8-bit computers using 6502 compatible CPUs it can also generate
+exomizer: executable files that decompress themselves in memory when run.
+exomizer:
+exomizer:
+exomizer:
+exomizer: